local plf = require("polygon_functions")

local complexPolygon = { 100,100, 200,100, 100,200, 200,200 }

local isSimple = plf.isPolySimple(complexPolygon)

local polygonTriangulation = love.math.triangulate(complexPolygon)


-- Main loop --

function love.load()
    love.graphics.setLineWidth(2)
end

function love.keyreleased(key)

    if key == "space" then

        complexPolygon = plf.simplifyPoly(complexPolygon)

        isSimple = plf.isPolySimple(complexPolygon)

        polygonTriangulation = love.math.triangulate(complexPolygon)

    end

end

function love.draw()

    -- Polygon and triangles --

    love.graphics.setColor(1,0,0)
    love.graphics.polygon("fill", complexPolygon)

    love.graphics.setColor(0,1,0)

    for _, tri in pairs(polygonTriangulation) do
        love.graphics.polygon("line", tri)
    end

    -- Infos --

    love.graphics.print("Press SPACE to simplify.")
    love.graphics.print("Polygon is simple: "..tostring(isSimple),0,love.graphics.getHeight()-16)

end

